Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.IEntryFactory Interface Reference

Defines factory methods for creating new ZipEntry values. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.IEntryFactory:
[legend]

## Public Member Functions
ZipEntry | MakeFileEntry (string fileName)
| Create a ZipEntry for a file given its name.
ZipEntry | MakeFileEntry (string fileName, bool useFileSystem)
| Create a ZipEntry for a file given its name.
ZipEntry | MakeDirectoryEntry (string directoryName)
| Create a ZipEntry for a directory given its name.
ZipEntry | MakeDirectoryEntry (string directoryName, bool useFileSystem)
| Create a ZipEntry for a directory given its name.

## Properties
INameTransform | NameTransform`[get, set]`
| Get/set the INameTransform applicable.

## Detailed Description

Defines factory methods for creating new ZipEntry values.

## Member Function Documentation

## ◆ MakeDirectoryEntry() [1/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.IEntryFactory.MakeDirectoryEntry | ( | string | directoryName | ) |

Create a ZipEntry for a directory given its name.

Parameters

  directoryName | The name of the directory to create an entry for.

Returns
  Returns a directory entry based on the directoryName passed.

Implemented in ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.

## ◆ MakeDirectoryEntry() [2/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.IEntryFactory.MakeDirectoryEntry | ( | string | directoryName,
|  | bool | useFileSystem )

Create a ZipEntry for a directory given its name.

Parameters

  directoryName | The name of the directory to create an entry for.
  useFileSystem | If true get details from the file system for this directory if it exists.

Returns
  Returns a directory entry based on the directoryName passed.

Implemented in ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.

## ◆ MakeFileEntry() [1/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.IEntryFactory.MakeFileEntry | ( | string | fileName | ) |

Create a ZipEntry for a file given its name.

Parameters

  fileName | The name of the file to create an entry for.

Returns
  Returns a file entry based on the fileName passed.

Implemented in ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.

## ◆ MakeFileEntry() [2/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.IEntryFactory.MakeFileEntry | ( | string | fileName,
|  | bool | useFileSystem )

Create a ZipEntry for a file given its name.

Parameters

  fileName | The name of the file to create an entry for.
  useFileSystem | If true get details from the file system if the file exists.

Returns
  Returns a file entry based on the fileName passed.

Implemented in ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.

## Property Documentation

## ◆ NameTransform

INameTransform ICSharpCode.SharpZipLib.Zip.IEntryFactory.NameTransform
| get set

Get/set the INameTransform applicable.

Implemented in ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.

The documentation for this interface was generated from the following file:

- ICSharpCode.SharpZLib/Zip/IEntryFactory.cs